<!-- <app-table [columns]="tableData.tableColumns" [tableData]="storeInfo" tableName="Organizaciones"
    [tableDataSearch]="storeInfoSearch" [filterInclude]="tableData.filterInclude" emitTableEvents="true"
    (create)="create()" (delete)="delete($event)">
</app-table>
<p (click)="openModal()">
    Editar
</p> -->

<img src="assets/img/demo/headers/pattern-3.png" height="120px" width="100%">
<div class="container">
    <elastic-list [name]="tableName" [columns]="columns" (keyup)="onFilterChange($event)"
        [placeholder]="'Buscar por nombre'">
        <div class="actions" fxFlexAlign="center">
            <button class="create" (click)="openModal('add', '')" type="button" mat-mini-fab color="primary">
                <mat-icon>add</mat-icon>
            </button>
        </div>
        <mat-table #table [dataSource]="tableOrganizations" matSort>

            <ng-container *ngFor="let  column of columns">
                <ng-container *ngIf="column.isModelProperty" [matColumnDef]="column.property">
                    <mat-header-cell *matHeaderCellDef> {{ column.name }}</mat-header-cell>
                    <ng-container *ngIf="!column.img && !column.typeLink">
                        <mat-cell *matCellDef="let row; let i = index"> {{ row[column.property] }}</mat-cell>
                    </ng-container>
                    <ng-container *ngIf="column.img">
                        <mat-cell *matCellDef="let row; let i = index">
                            <img src="{{ row[column.property] }}" height="50px">
                        </mat-cell>
                    </ng-container>
                    <ng-container *ngIf="column.typeLink">
                        <mat-cell *matCellDef="let row; let i = index">
                            <a target="_blank" [href]="row[column.property]">{{column.property}}</a>
                        </mat-cell>
                    </ng-container>

                </ng-container>
            </ng-container>
            <!-- actions Column -->
            <ng-container matColumnDef="actions">
                <mat-header-cell class="actions-cell" *matHeaderCellDef>Actions</mat-header-cell>
                <mat-cell class="actions-cell" *matCellDef="let row; index as i">
                    <button type="button" mat-icon-button [matMenuTriggerFor]="actionsMenu">
                        <mat-icon>more_horiz</mat-icon>
                    </button>
                    <mat-menu #actionsMenu="matMenu" yPosition="below" xPosition="before">
                        <button mat-menu-item (click)="openModal('edit', row)">
                            <span>Editar</span>
                        </button>
                    </mat-menu>
                </mat-cell>
            </ng-container>



            <mat-header-row *matHeaderRowDef="visibleColumns">
            </mat-header-row>
            <mat-row *matRowDef="let row; columns: visibleColumns; index as i" class="clickable">
            </mat-row>
        </mat-table>
        <div class="mat-elevation-z8">
            <mat-paginator [pageSizeOptions]="[10, 20, 30, 40]" showFirstLastButtons
                aria-label="Select page of periodic elements">
            </mat-paginator>
        </div>
    </elastic-list>
</div>